Package org.apache.activemq.artemis.jms.client

## Class ActiveMQQueue

- java.lang.Object
- - org.apache.activemq.artemis.jndi.JNDIStorable
  - - org.apache.activemq.artemis.jms.client.ActiveMQDestination
    - - org.apache.activemq.artemis.jms.client.ActiveMQQueue

- All Implemented Interfaces:
    `java.io.Serializable`, `javax.jms.Destination`, `javax.jms.Queue`, `javax.naming.Referenceable`
  Direct Known Subclasses:
    `ActiveMQTemporaryQueue`

      public class ActiveMQQueue
      extends ActiveMQDestination
      implements javax.jms.Queue

  ActiveMQ Artemis implementation of a JMS Queue.
  This class can be instantiated directly.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.activemq.artemis.jms.client.ActiveMQDestination

      `ActiveMQDestination.TYPE`

  - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.jms.client.ActiveMQDestination

      `QUEUE_QUALIFIED_PREFIX, TEMP_QUEUE_QUALIFED_PREFIX, TEMP_TOPIC_QUALIFED_PREFIX, TOPIC_QUALIFIED_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActiveMQQueue()` |
    `ActiveMQQueue​(java.lang.String address)` |
    `ActiveMQQueue​(java.lang.String address, boolean temporary)` |
    `ActiveMQQueue​(java.lang.String address, boolean temporary, ActiveMQSession session)` |
    `ActiveMQQueue​(java.lang.String address, java.lang.String name)` | Deprecated.
    `ActiveMQQueue​(org.apache.activemq.artemis.api.core.SimpleString address)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getQueueName()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQDestination

      `buildFromProperties, createDestination, createDestination, createQueue, createQueue, createQueue, createQueueAddressFromName, createQueueNameForSharedSubscription, createQueueNameForSubscription, createTemporaryQueue, createTemporaryQueue, createTemporaryQueue, createTemporaryQueue, createTemporaryTopic, createTemporaryTopic, createTemporaryTopic, createTemporaryTopic, createTopic, createTopic, createTopic, createTopicAddressFromName, decomposeQueueNameForDurableSubscription, delete, fromPrefixed1XName, fromPrefixedName, fromPrefixedName, getAddress, getName, getQueueAttributes, getQueueConfiguration, getSimpleAddress, getType, isCreated, isQueue, isTemporary, populateProperties, setAddress, setCreated, setSimpleAddress`

    - ### Methods inherited from class org.apache.activemq.artemis.jndi.JNDIStorable

      `getReference, readObject, writeObject`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActiveMQQueue

          public ActiveMQQueue()

    - #### ActiveMQQueue

          public ActiveMQQueue​(java.lang.String address)

    - #### ActiveMQQueue

          public ActiveMQQueue​(org.apache.activemq.artemis.api.core.SimpleString address)

    - #### ActiveMQQueue

          @Deprecated
          public ActiveMQQueue​(java.lang.String address,
                               java.lang.String name)

      Deprecated.

    - #### ActiveMQQueue

          public ActiveMQQueue​(java.lang.String address,
                               boolean temporary)

    - #### ActiveMQQueue

          public ActiveMQQueue​(java.lang.String address,
                               boolean temporary,
                               ActiveMQSession session)

      Parameters:
        `address` -
        `temporary` -
        `session` -

  - ### Method Detail

    - #### getQueueName

          public java.lang.String getQueueName()

      Specified by:
        `getQueueName` in interface `javax.jms.Queue`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `javax.jms.Queue`
      Overrides:
        `toString` in class `ActiveMQDestination`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `ActiveMQDestination`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ActiveMQDestination`